-*- org-mode -*-

* clwars

Text based trading/adventure sim.

** Description
CL-Wars is a text based game made for fun, highly inspired by
Space Trader, Drug Wars, FTL, Roguelikes, STALKER, WH40k, and
many more.

In CL-Wars you are a rogue trader on the edge of an poorly charted
and unfriendly galaxy. Ply your wares, capture archeotech, and
purge xenomorphs in the fires of your guns.

NOTE: This 'game' is just a playground for me to play with Lisp. It is not a reference for
'good'/idomatic CL software and is not really intended to be useful or playable.

** Systems
*** Systems
- Ship Systems/Combat
  - TODO:
    - [ ] Basic combat system, perhaps like battleship
    - [ ] Basic 'move to new sector' system
    - [ ] Shields recharge after combat
    - [ ] System for repairing hull
  - Notes:
    - Hull Integrity
      - When 0 game over
    - Repulsor Shield
      - Each % of shield integrity reduces damage by some %
    - Warp Drive
      - How far you can jump per 1 fuel
    - Reactors
      - Powers warp drive and warp field
      - Will always have some power, but if power is too low
        you with have to jump without a warp field
    - Munitions
      - Ammo for weapons
    - Warp Field
      - Jumping without a warp field will have random effects
- Weapons Systems
  - Weapons have attributes depending on type
  - Plasma Weapon
    - High hull damage, low shield damage
  - Beam Weapon
    - High shield damage, low hull damage
  - Explosive Weapon
    - Average hull damage, average shield damage
- Money/Economy/Items
  - TODO
    - [X] Basic buy/sell mechanics
    - [ ] Stretch - trade interface for 'friendly' ships
    - [ ] Overhaul buy/sell interface for archeotech specific information
    - [ ] Stretch - Random $x*$x ASCII image to represent archeotech
    - [X] Variable economy between sectors ('random' prices)
    - [ ] Define how archeotech works (random buffs/characteristics)
      - [ ] Archeotech display menu
  - Notes
    - Used to upgrade ship components/crew
    - Can trade spice (variable cost in systems), but your crew will consume it based on their happiness
    - Can trade archeotech (AT has characteristics that may be desireable to different planetary systems)
- Crew Systems
  - TODO:
    - [-] Implemention of crew buffs
      - [X] Add buff objects
      - [ ] Resolve buff integration into various systems
	- [ ] Food
	- [ ] Moral
	- [ ] Weapons
	  - [ ] These should be updated on insertion into crew?
	- [ ] Shields
    - [ ] Crew consumes gruel on some regular cadence (per action/jump/etc)
    - [ ] Crew will consume spice (if available)
      - Spice increases moral but can be destabilizing to sanity
    - [ ] Implementation of crew member buff charateristics
    - [ ] Sanity/Moral (impacted by availability of spice and/or horrors of the warp)
      - [ ] What happens when these get low?
    - [ ] Crew members can die (you lose their buff, no other consequence)
    - [ ] Recruit new crew members at trading stations (cost?)
- Hazard/Boon/Sector System
  - TODO:
    - [ ] Encapsulate sector attrs
    - [ ] Encapsulate boon/hazard attrs
    - [ ] Interface for interacting with boons/hazards
    - [ ] Basic system to jump to new sector
    - [ ] What happens if you jump with a low power warp shield?
  - Notes:
    - Each sector contains a hazard and a boon
      - A hazard is a combat encounter or some kind of negative event
      - The boon is some kind of positive event
      - The likelihood of either depends on sanity calculation
      - Perhaps flesh out equipment system for 'boon' hunting
