(defvar *ai-ship-name-prefixes*
  (list
    "The Eerie"
    "The Sinister"
    "The Macabre"
    "The Gothic"
    "The Morbid"
    "The Haunting"
    "The Foreboding"
    "The Menacing"
    "The Ominous"
    "The Grim"
    "The Mysterious"
    "The Cryptic"
    "The Unsettling"
    "The Spooky"
    "The Creepy"
    "The Chilling"
    "The Ghostly"
    "The Shadowy"
    "The Forensic"
    "The Malevolent"))

(defvar *ai-ship-name-suffixes*
  (list
    "Boat"
    "Craft"
    "Solarboat"
    "Schooner"
    "Clipper"
    "Steamer"
    "Freighter"
    "Cargo ship"
    "Liner"
    "Cruiser"
    "Ferry"
    "Barge"
    "Canoe"
    "Kayak"
    "Raft"
    "Yacht"
    "Catamaran"
    "Submarine"
    "Galleon"
    "Spacecraft"
    "Rocket"
    "Starship"
    "Interstellar"
    "VTOL"
    "Lunar Module"
    "Shuttle"
    "Cosmic Capsule"
    "Orbital Craft"
    "Extraterrestrial Transport"
    "Astroplane"
    "Celestial Cruiser"
    "Galactic Explorer"
    "Planetary Probe"
    "Voyager"
    "Astroship"
    "Deep Space Explorer"
    "Cosmonaut Craft"))

;;; SHIP INFO ;;;
(defun display-inventory (player-ship-obj)
  (let* ((inventory (inventory player-ship-obj))
	(inventory-list (loop for slot in (return-slots inventory)
			     collect (list
				      slot (slot-value inventory slot))))) 
    (format T "~%INVENTORY~%")
    (format-table T inventory-list :column-label '("Resource" "Amount"))))

(defun ship-info (player-ship-obj)
  (display-crew player-ship-obj)
  (display-inventory player-ship-obj)
  (display-weapons player-ship-obj))
;;; SHIP INFO END ;;;
